API ReferenceBookings
List bookings
Authorization
ApiKeyAuth AuthorizationBearer <token>
Send your API key as a bearer token: Authorization: Bearer bp_sk_live_.... Mint and revoke keys in your dashboard under Settings -> Developers.
In: header
Query Parameters
location_id?string
Restrict to a single location. Must be one the key can access.
Format
uuidfrom?string
Include bookings starting on/after this date-time.
Format
date-timeto?string
Include bookings starting before this date-time.
Format
date-timecontact_id?string
Format
uuidlimit?integer
Range
1 <= value <= 100Default
25cursor?string
The next_cursor from a previous page.
Response Body
application/json
application/json
curl -X GET "https://example.com/bookings"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "location_id": "46910cc3-ab41-4b80-b4a7-94dab9f1b795", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0", "technician_id": "557e6e8c-3c29-4825-b73f-0884ad39f2d9", "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z", "status": "booked", "source": "string", "created_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string"}